Bug 1271829 - Review Request: nodejs-domutils - Utilites for working with htmlparser2's dom
Review Request: nodejs-domutils - Utilites for working with htmlparser2's dom
Status: CLOSED DUPLICATE of bug 1169124
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews Node-RED 1271795
  Show dependency treegraph
 
Reported: 2015-10-14 16:13 EDT by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tdawson: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-10-14 16:13:45 EDT
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-domutils/nodejs-domutils.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-domutils/nodejs-domutils-1.5.1-1.fc23.src.rpm
Description: Utilites for working with htmlparser2's dom
Fedora Account System Username: jsmith
Comment 1 Troy Dawson 2015-10-20 17:52:17 EDT
This package is missing the lib directory, which is critical, because the index.js requires all the files in it.

Also, for the tests, can you put 
 %global enable_tests 0
at the top, so that when the tests do get fixed upstream, it will be simple to get them going.

I will review it when those two things get done, because other than them, this looks good.
Comment 2 Jared Smith 2015-11-02 00:04:05 EST
I was able to get the tests working by adjusting my dl-tests.sh script, and fixed the missing 'lib/' directory.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-domutils/nodejs-domutils.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-domutils/nodejs-domutils-1.5.1-2.fc23.src.rpm
Comment 4 Troy Dawson 2015-11-02 11:10:03 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/nodejs-domutils
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-domutils-1.5.1-3.fc24.noarch.rpm
          nodejs-domutils-1.5.1-3.fc24.src.rpm
nodejs-domutils.noarch: W: spelling-error Summary(en_US) dom -> mod, dim, don
nodejs-domutils.noarch: W: spelling-error %description -l en_US dom -> mod, dim, don
nodejs-domutils.noarch: W: only-non-binary-in-usr-lib
nodejs-domutils.noarch: W: dangling-symlink /usr/lib/node_modules/domutils/node_modules/domelementtype /usr/lib/node_modules/domelementtype
nodejs-domutils.noarch: W: dangling-symlink /usr/lib/node_modules/domutils/node_modules/dom-serializer /usr/lib/node_modules/dom-serializer
nodejs-domutils.src: W: spelling-error Summary(en_US) dom -> mod, dim, don
nodejs-domutils.src: W: spelling-error %description -l en_US dom -> mod, dim, don
nodejs-domutils.src:17: W: mixed-use-of-spaces-and-tabs (spaces: line 17, tab: line 6)
nodejs-domutils.src: W: invalid-url Source1: tests-1.5.1.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-domutils.noarch: W: only-non-binary-in-usr-lib
nodejs-domutils.noarch: W: dangling-symlink /usr/lib/node_modules/domutils/node_modules/domelementtype /usr/lib/node_modules/domelementtype
nodejs-domutils.noarch: W: dangling-symlink /usr/lib/node_modules/domutils/node_modules/dom-serializer /usr/lib/node_modules/dom-serializer
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-domutils (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(dom-serializer)
    npm(domelementtype)



Provides
--------
nodejs-domutils:
    nodejs-domutils
    npm(domutils)



Source checksums
----------------
https://registry.npmjs.org/domutils/-/domutils-1.5.1.tgz :
  CHECKSUM(SHA256) this package     : cfeedd6cc5bbf83e2f58adaa3162c659d0df1a166f82bf321156247d91e6894a
  CHECKSUM(SHA256) upstream package : cfeedd6cc5bbf83e2f58adaa3162c659d0df1a166f82bf321156247d91e6894a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1271829
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Troy Dawson 2015-11-02 11:15:36 EST
Looks very good.
I do have one comment.  You switched from the npm package to the github tarball, which automatically brings in the tests and LICENSE.  That's great.
But, you forgot to remove the Source1 and Source10 that brought in the tests, along with the "%setup -q -T -D -a 1 -n package" in the %prep section.

It would make things more clean if you removed the Source1, Source10 and the extra line in the %prep section.
In the end, this doesn't matter,  It's the same tests, and the tests now pass, so that is great.  I'm going to approve it, but I would recommend removing them.

Package accepted.
Comment 6 Jared Smith 2015-11-23 16:42:04 EST
Silly me -- it looks like this package already exists in Fedora. I'm not sure how I missed it before.

Oh well, sorry for the unneeded review.  I'll go ahead and close this issue now.

*** This bug has been marked as a duplicate of bug 1169124 ***

Note You need to log in before you can comment on or make changes to this bug.